Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 606320 - [abrt] crash in listen-0.6.5-1.fc12: xdg_support.py:52:get_xdg_data_file:AttributeError: 'Logger' object has no attribute 'warn'
[abrt] crash in listen-0.6.5-1.fc12: xdg_support.py:52:get_xdg_data_file:Attr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: listen (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
abrt_hash:cb65703d
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 08:19 EDT by Bruno Vianco
Modified: 2010-12-03 08:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:45:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.02 KB, text/plain)
2010-06-21 08:19 EDT, Bruno Vianco
no flags Details

  None (edit)
Description Bruno Vianco 2010-06-21 08:19:02 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python listen
component: listen
executable: /usr/lib/listen/listen
kernel: 2.6.32.14-127.fc12.i686
package: listen-0.6.5-1.fc12
reason: xdg_support.py:52:get_xdg_data_file:AttributeError: 'Logger' object has no attribute 'warn'
release: Fedora release 12 (Constantine)
How to reproduce: 1. Just playing

backtrace
-----
xdg_support.py:52:get_xdg_data_file:AttributeError: 'Logger' object has no attribute 'warn'

Traceback (most recent call last):
  File "listen", line 89, in <module>
    from widget.listen import Listen
  File "/usr/lib/listen/widget/listen.py", line 30, in <module>
    from dbus_manager import ListenDBus
  File "/usr/lib/listen/dbus_manager.py", line 31, in <module>
    from cover_manager import CoverManager
  File "/usr/lib/listen/cover_manager.py", line 345, in <module>
    CoverManager = ListenCoverManager()
  File "/usr/lib/listen/cover_manager.py", line 78, in __init__
    self.DEFAULT_COVER = get_xdg_pixmap_file("listen_cover.png")
  File "/usr/lib/listen/xdg_support.py", line 59, in get_xdg_pixmap_file
    return get_xdg_data_file(os.path.join("img",filename))
  File "/usr/lib/listen/xdg_support.py", line 52, in get_xdg_data_file
    logger.warn("No xdg data found, fallback to classic data path")
AttributeError: 'Logger' object has no attribute 'warn'

Local variables in innermost frame:
filename: 'img/listen_cover.png'
Comment 1 Bruno Vianco 2010-06-21 08:19:04 EDT
Created attachment 425610 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 08:59:55 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 08:45:59 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.